/* config.h -- Dune Webserver
 * Copyright (C) 1998 Baris Mestanogullari <mestanba@martin.luther.edu>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to the
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef CONFIG_H
#define CONFIG_H

/* Do not touch this unless you really mean it */
#define VERSION "0.6.7"

/* The server will setuid() itself to this UID if ran as root. */
#define UID     65534  /* 65534=UID of 'nobody' for Linux */

/* The server will setgid() itself to this GID if ran as root. */
#define GID     100    /* 100=GID of 'nobody' for Linux */

/* Port to listen for connections. It's (almost) always 80 for httpd's,
 * but it needs to be >1024 if the server is not being ran as root.
 */
#define PORT    80

/* The root html directory. Web pages will be in this directory(and its
 * subdirectories).
 */
#define HTMLDIR "/webdocs"

/* Users can serve their own webpages from $HOME/USER_DIR. */
#define USER_DIR "public_html"

/* You can customize the error pages by defining the appropriate ones for
 * the URL you desire to be sent when that error occurs.
 * Important note: The default '404 Not Found' and '403 Forbidden' pages
 *                 sent to the client include the name of the document
 *                 they asked for. If you want to use a file for error
 *                 messages(which is really nice especially for 404 Not
 *                 Found), you will NOT be able to show the filename. Keep
 *                 that in mind.
 */
#define NOTFOUNDURL   "/webdocs/errors/NotFound.html"
#define FORBIDDENURL  "/webdocs/errors/Forbidden.html"
#define BADREQUESTURL "/webdocs/errors/BadRequest.html"


/* If there is no index.html, will the server show hidden files in the
 * directory listing?
 * Set it to zero if you don't want them shown.
 */
#define SHOWHIDDEN 1

/* Will the server log connections? */
#define LOG_CONNECTIONS

/* Where the server will log all the requests.
 * For this, LOG_CONNECTIONS should be defined.
 */
#define LOGFILE "dune.log"

/* Will the server log errors encountered? (Mostly for debugging) */
#define LOG_ERRORS

/* Where the server will log the errors encountered.
 * For this, LOG_ERRORS should be defined.
 */
#define ERROR_LOGFILE "dune.errors"

#endif
